import java.util.Scanner;

public class DrugiZadatakTakmicenje 
{

    public static void main(String[] args) 
    {
        Scanner unos = new Scanner(System.in);
        
        int n = unos.nextInt() ;
        double []resenje = new double [n];
        double [][]matrix = new double [n][2];
        
        for (int i = 0; i<n; i++)
        {
            for (int j = 0; j<2; j++)
            {
                matrix[i][j] = unos.nextDouble();
            }
        }
        
        for (int i = 0; i < n; i++)
        {
            double r = 0;
            for (int j = 0; j < n; j++)
            {
                if(matrix[i][1] <= matrix[j][1])
                    r = r + matrix[j][0];
            }
            resenje[i] = r * (matrix[i][1]/100);
        }
        
        double r = 0;
        
        for (int i = 0; i < n-1; i++)
        {
            r = Math.max(resenje[i],resenje[i+1]);
        }
        
        System.out.println(r);
        
    }